Name:		libvsmbr
Version:	20170525
Release:	1%{?dist}
Summary:	Library to access the Master Boot Record (MBR) volume system
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libvsmbr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libvsmbr is a library to access the Master Boot Record (MBR) volume system

%package devel
Summary: Header files and libraries for developing applications for libvsmbr
Group: Development/Libraries
Requires: libvsmbr = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvsmbr.

%package tools
Summary: Several tools for reading Master Boot Record (MBR) volume systems
Group: Applications/System
Requires: libvsmbr = %{version}-%{release}

%description tools
Several tools for reading Master Boot Record (MBR) volume systems

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvsmbr.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vsmbrinfo
# %{_mandir}/man1/*

%changelog
* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170525-1
- Auto-generated

